// UTS 2000 - fichier 'posloc.cpp' - V3.2 - Le 23/05/2009
/*****************************************************************************
 * Positions théorique des locomotives au lancement de UTS
 * et possibilité de modifier le numéro d'emplacement.
 *****************************************************************************/
#include  <windows.h>
#include  <string.h>
#include  <stdlib.h>
#include  <stdio.h>
#include "Train_UTS.h"

#define _CRT_SECURE_NO_WARNINGS  // Limite les messages de warning dans Visual C++

// Déclaration des fonctions externes
extern void EasyTextOut(int, int, char*);
extern void EasyLine(int, int, int, int);
//extern int get_line(FILE*, char [][200], int*);
extern int pio_set_val(int ,int );
extern int pio_var_ch2int(char []);

// Déclaration des variables externes
extern HBRUSH  bmp_pinceau_blanc, bmp_pinceau_gris, bmp_pinceau_rouge;
extern HDC hdc;
extern HFONT     bmp_fonte;
extern HPEN      bmp_stylo_noir, bmp_stylo_gris, bmp_stylo_blanc;
extern int x_mouse,y_mouse,touche,touche_char,x_mouse_move,y_mouse_move;

void posloc_maj(void)
{
    int j,i,pb;
	j=0;
	i=0;
	pb=0;
}
void posloc_debug(int action)
{
    int i,y;
    if(action==DEBUG_MOUSE)
    {
        i=(y_mouse/20)-6;
    }
    if(action==DEBUG_TOTAL_PAINT)
    {
        SelectObject(hdc,bmp_pinceau_blanc);
        SelectObject(hdc,bmp_stylo_gris);
        Rectangle(hdc,0,0,1280,1024);
        y=100;
        Rectangle(hdc,0,y,200,20+y);
        //SelectObject(hdc,bmp_fonte);
        SetBkMode(hdc,TRANSPARENT);
        SetTextColor(hdc,RGB(255,0,0));
        EasyTextOut(10,2+y,"Réglages");
        EasyLine(190,y+20,200,y+10);
        SetTextColor(hdc,RGB(0,0,255));
    }
    SelectObject(hdc,bmp_pinceau_blanc);
    SelectObject(hdc,bmp_stylo_blanc);
    Rectangle(hdc,0,0,1024,80);
//    SelectObject(hdc,bmp_pinceau_gris);
//    SelectObject(hdc,bmp_stylo_gris);
//    Rectangle(hdc,0,0,500,60);
    EasyTextOut(100,5,"Emplacement des locomotives");
    EasyTextOut(100,25,"Possibilité de modifier la position des locomotives sur les cantons");
    EasyTextOut(100,45,"EN TEST");
    SetBkMode(hdc,TRANSPARENT);
}